unit InfoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  Tinfoform = class(TForm)
    ListBox1: TListBox;
    procedure FormPaint(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

procedure showInfo;

var
  infoform: Tinfoform;

implementation

{$R *.DFM}

uses helpunit;

procedure showInfo;
begin
 infoform.showmodal;
end;

procedure initparams;
begin
 with infoform.canvas do
  begin
   font.name := 'arial';
   font.height := 20;
   font.style := [];
   brush.style := bsClear;
  end;
end;

procedure Tinfoform.FormPaint(Sender: TObject);
var x,y : integer;
    regel : byte;
    kolom : byte;
    s : string;
    cc : boolean;
    ch : char;
begin
 initparams;
 cc := false;
 with canvas do
  for regel := 0 to listbox1.items.count-1 do
   begin
    initparams;
    y := regel * 25 + 20;
    x := 20;
    s := helptekstdecode(listbox1.items[regel]);
    for kolom := 1 to length(s) do
     begin
      ch := s[kolom];
      if ch = '`' then cc := true
       else
        if cc then
         begin
          case upcase(ch) of
           'I' : font.style := [fsItalic];
           'L' : font.height := 30;
           'N' : initparams;
           'F' : font.style := [fsBold];
          end;
          cc := false;
         end
        else
         begin
          textout(x,y,ch);
          x := x + textwidth(ch);
         end;
     end;//for kolom
   end;//for regel
end;

procedure Tinfoform.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
 if key = VK_ESCAPE then
  begin
   key := 0;
   modalresult := mrOK;
  end;
end;

end.
